Page MenuHomePhabricator

Provide equivalent of "SCR: Reviewers per month" in Kibana
Closed, ResolvedPublic

Description

http://korma.wmflabs.org/browser/scr.html has "People uploading patchsets vs. Reviewers per month":

In T132421 we decided that we'd like to have something similar on wikimedia.biterg.io, as we want to see that ratio to know if we need more people with CR+2 (merging rights in Gerrit).

Event Timeline

Aklapper created this task.Nov 24 2016, 2:02 PM
Aklapper triaged this task as Low priority.Jan 27 2017, 10:14 PM
Aklapper raised the priority of this task from Low to Normal.Jan 30 2017, 8:45 PM

If I understood Jesus correctly last week, there is no data for reviewers yet in the backend, so this really is not possible yet on wikimedia.biterg.io

There is a "Changeset Submitters" (Change-submitters-per-month__gerrit_enrich) widget covering "people uploading patchsets".

Leaves us with people performing reviews...

Aklapper renamed this task from Provide equivalent of "SCR: People uploading patchsets vs. Reviewers per month" in Kibana to Provide equivalent of "SCR: Reviewers per month" in Kibana.Apr 12 2017, 9:03 PM
Aklapper lowered the priority of this task from Normal to Low.
Aklapper updated the task description. (Show Details)

Leaves us with people performing reviews...

We quickly discussed this in today's meeting and given other priorities this will likely happen at some point, but not in the next months. Lowering priority.

Aklapper added a comment.EditedJan 16 2019, 7:05 PM

Note: A custom dashboard for Xen exists at https://xen.biterg.io/app/kibana#/dashboard/C_Community_Focused_Dashboard with a widget called "Top People Reviewing Patches". Not sure how supported that is (custom, plus that instance is still running an older software version). And it does not use Gerrit hence it is not applicable.

Aklapper closed this task as Resolved.May 10 2019, 12:52 PM
Aklapper claimed this task.
Aklapper moved this task from Backlog to Patch merged upstream on the Upstream board.

https://github.com/chaoss/grimoirelab/issues/58 ("Stats on Gerrit reviews") has been resolved.
https://wikimedia.biterg.io/ now offers a new dashboard under "Gerrit > Approvals".
The amount of reviewers can be identified by counting the items under "Approvals by Reviewer".

  • Bots can be excluded by querying author_bot:false.
  • Activity of a specific reviewer can be queried via author_name:"Andre Klapper" and shows the number of -2, -1, +1 and +2 given.
  • Activity in a specific repository can be queried via repository:"mediawiki/extensions/examples"
  • Activity can be queried per organization via author_org_name:"Wikimedia Foundation"